---
title: RTCIceCandidatePairStats.retransmissionsSent
slug: Web/API/RTCIceCandidatePairStats/retransmissionsSent
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <strong><code>retransmissionsSent</code></strong> property indicates the total number of {{Glossary("STUN")}} connectivity check request retransmissions that have been sent so far on the pair of candidates.</span></p>

<p>The number of retransmissions that have been received on the connection can be found in {{domxref("RTCIceCandidatePairStats.retransmissionsReceived", "retransmissionsReceived")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>retransmissionsSent</em> = <em>rtcIceCandidatePairStats</em>.retransmissionsSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of retransmitted STUN connectivity check requests have been sent on the connection referenced by this candidate pair so far.</p>

<div class="notecard note">
<p><strong>Note:</strong> Retransmissions are connectivity check requests with a <code>TRANSACTION_TRANSMIT_COUNTER</code> attribute whose <code>req</code> field is greater than 1 (indicating that the request has been transmitted more than once). See {{RFC(7982)}} for further details.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-retransmissionssent', 'RTCIceCandidatePairStats.retransmissionsSent') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.retransmissionsSent")}}</p>
